<?php
/**
 * @package		Joomla
 * @copyright	Copyright (C) 2013 IPrice web solutions. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controlleradmin');

class IpricecalcControllerCategories extends JControllerAdmin
{

	protected $text_prefix = 'COM_IPRICECALC_CATEGORIES';

	function __construct( $config = array() )
	{
		parent::__construct( $config );
		$this->registerTask( 'orderup',		'reorder' );
		$this->registerTask( 'orderdown',	'reorder' );
	}
	
	public function getModel($name = 'Category', $prefix = 'IpricecalcModel', $config = array('ignore_request' => true))
	{
		$model = parent::getModel($name, $prefix, $config);
		return $model;
	}
	
	public function saveOrderAjax()
	{
		// Get the input
		$pks = JFactory::getApplication()->input->getVar('cid', array(),'post','array');
		$order = JFactory::getApplication()->input->getVar('order', array(),'post','array');

		// Sanitize the input
		JArrayHelper::toInteger($pks);
		JArrayHelper::toInteger($order);

		// Get the model
		$model = $this->getModel();

		// Save the ordering
		$return = $model->saveorder($pks, $order);

		if ($return)
		{
			echo "1";
		}

		// Close the application
		JFactory::getApplication()->close();
	}
	
	function reorder()
	{
		// Check for request forgeries
		//JRequest::checkToken() or jexit( 'Invalid Token' );
		//J4
		$this->checkToken();
		
		$task	= JFactory::getApplication()->input->getCmd('task');
		$cid		= JFactory::getApplication()->input->getVar( 'cid', array(), 'post', 'array' );
		$order		= JFactory::getApplication()->input->getVar( 'order', array(), 'post', 'array' );
		$inc = ($task == 'orderup' ? -1 : 1);
		$uid = (int) $cid[0];

		// Initialize variables
		$db = JFactory::getDBO();

		$row = JTable::getInstance('Category', 'IpricecalcTable');
		$row->load( $uid );
		$row->move( $inc );

		$this->setMessage( JText::_('New_ordering_saved') );
		$this->setRedirect( 'index.php?option=com_ipricecalc&view=categories' );
	}
	
}

?>
