<?php
/**
 * @package     Joomla.Administrator
 * @copyright   Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
 
defined('_JEXEC') or die;

//J4 for using StringHelper:: instead of StringHelper::
Use \Joomla\String\StringHelper;

JTable::addIncludePath(JPATH_COMPONENT_ADMINISTRATOR . '/tables');

class IpricecalcController extends JControllerLegacy
{
	public function display($cachable = false, $urlparams = false)
	{
		$cachable = false;
		parent::display($cachable, $urlparams);
		return $this;
	}
	
	function submitfilter()
	{
		// Check for request forgeries
		//$app->input->checkToken() or jexit( 'Invalid Token' );
		//J4
		$this->checkToken();	
		
		$app = JFactory::getApplication();	
		$curr =StringHelper::substr(strip_tags($app->input->getVar( 'currcode','','post' )),0,3);
		if ($curr) 
			$app->setUserState('com_ipricecalc.currcode',$curr);
		else
			$app->setUserState('com_ipricecalc.currcode',NULL);

		$this->setRedirect(urldecode($app->input->getVar( 'redir','','post' )));
		return true;
	}
	
	function submit()
	{
		require_once( JPATH_COMPONENT_ADMINISTRATOR.'/helpers/orderhtml.php');
		$app = JFactory::getApplication();
		$mainframe = JFactory::getApplication();
		
		// Check for request forgeries
		//J4
		$this->checkToken();

		//$pparams = $mainframe->getParams('com_ipricecalc');
		$itemid = $app->input->getVar( 'itemid','','post' );
		
		if ($itemid) {
		    $menu = JMenu::getInstance('site');
			$menuitem = $menu->getItem($itemid);
			if ($menuitem && strpos($menuitem->link,'ipricecalc')) {
				$pparams = $menu->getParams( $itemid );
				$globalparams = $app->getParams('com_ipricecalc');
				if ($globalparams) {
					$globalparams->merge($pparams);
					$pparams = $globalparams;
				}
			}
		} 
		if (!isset($pparams))
			$pparams = $app->getParams('com_ipricecalc');		
		
		// Captcha Controller Patch rev. 4.5.0 Stable
		$user = JFactory::getUser();
		if ( $pparams->get('usecaptcha') != 0 && ($pparams->get('usecaptchareg') == 1 || $pparams->get('usecaptchareg') == 0 && $user->get('id')==0  )) 
		{
			$joomla_captcha = JFactory::getConfig()->get('captcha');
			if ( $joomla_captcha != '0') 
			{
				$jpost = JFactory::getApplication()->input->post; 
				$reCaptcha = $jpost->get("ip_userreg_captcha");
				if (!$reCaptcha)
					$reCaptcha = $jpost->get("g-recaptcha-response");
			}
			$captchaok = false;			
			if ( isset( $reCaptcha ) && !empty( $reCaptcha ) )
			{ 
				$config = JFactory::getConfig()->get('captcha');
				$captcha = JCaptcha::getInstance($config);
				try {
					$captchaok = $captcha->checkAnswer($reCaptcha);
				} catch (Exception $e) {
					$captchaok = false;
				}
			}	
			if (!$captchaok)
			{
				JError::raiseWarning( 'CAPTCHA', JText::_( 'CAPTCHACODE_DO_NOT_MATCH' ) );
				$app->input->setVar('view','price');
				$this->display();
				return false;
			}

		}
		
		// Initialize some variables
		$db			= JFactory::getDBO();
		$SiteName	= $app->getCfg('sitename');
		
		$countitems	= $app->input->getInt( 'countitems',0,'post' );
		$curr	= $app->input->getVar( 'curr','RUR','post' );
		$titem = JTable::getInstance('item', 'IpricecalcTable');
		$radiogroups = $titem->GetRadioGroups();		
		$items = array();

		$j = 0;
		for ($i=0;$i<$countitems;$i++) {
		   $chk = $app->input->getVar( 'i_box_'.$i,'','post' );
		   $cnt = (float)$app->input->getString( 'i_'.$i,'','post' );
		   if ($chk == 'on' || $cnt >0) {
				$items[$j] = new JObject();
			   if ($chk == 'on')
		   			$items[$j]->cnt = 1;
			   else
				    $items[$j]->cnt = $cnt;
			   $items[$j]->id = $app->input->getInt( 'itemid_'.$i,0,'post' );
			   $j++;
			}
		}
		foreach ( $radiogroups as $k) {
		   $chk = $app->input->getVar( 'i_radio_'.$k->radiogroup,'','post' );
		   if ($chk) {
				$items[$j] = new JObject();
		      $items[$j]->cnt = 1;
			  $items[$j]->id = $chk;
  		      $j++;
		   }
		}
		$contact = new JObject();
		$contact->fio = strip_tags($app->input->getVar( 'fio','','post' ));
		$contact->firm = strip_tags($app->input->getVar( 'firm','','post' ));
		$contact->phone = strip_tags($app->input->getVar( 'phone','','post' ));
		$contact->email = strip_tags($app->input->getVar( 'email','','post' ));
		$contact->comments = strip_tags($app->input->getVar( 'comments','','post' ));
		$copyemail =  $app->input->getVar( 'copyemail','','post' );
		
		$contact->email_to = '';
		//!   ;
		$manageruserid = (int)$pparams->get('manageruserid','0');
		//$msg = 'Manager : '.$manageruserid;
		$contact->user_id = $manageruserid;
		$finishtext = $pparams->get('finishtext');

		 // load the contact details
		$model		= $this->getModel('price');
		$orderno = $model->getNextOrderNo();
		$itemid = $app->input->getVar( 'itemno','','post' );
		if ($itemid) 
			$orderid = $model->insOrder($items,$contact,$orderno,$curr, $pparams); 
		else 
			$orderid=0;
		//$model->insOrder($items,$contact);

		if ($orderid && $countitems) 
		{
			jimport('joomla.mail.helper');
			
			$mailfrom = $app->get('mailfrom');
			$fromname = $app->get('fromname');
			$sitename = $app->get('sitename');
			
			$sendername 	= $app->getCfg('fromname');
			
			$body = OrderhtmlHelper::getOrderHTMLPage($orderid); 
			
			// Prepare email body
			
			$manageruserid = (int) $pparams->get('manageruserid','0');
			$managemails = array();
			if ($manageruserid)
			{
				$manager_user = JUser::getInstance($manageruserid);
				if (!$manager_user)
					$finishtext = JText::_(JText::sprintf('MANAGER_ID_IS_INCORRECT',$manageruserid));
				else
				{
					$firstmanagemail = $manager_user->get('email');
					if ($firstmanagemail)
						$managemails[] = $firstmanagemail;
				}
			} else
			{
				$finishtext = JText::_('MANAGER_ID_IS_NOT_SET');
			}
			$custname = (isset($contact->fio) && $contact->fio ? $contact->fio : (isset($contact->firm) && $contact->firm ? $contact->firm : ''));
			$managemailsparam = $pparams->get('managerusercopy','');						
			if ($managemailsparam)
			{
				$managemailsparam = StringHelper::str_ireplace(';', ',', $managemailsparam);
				$managemailscopy = array_map('trim',explode(',',$managemailsparam));
				$managemails = array_merge($managemails, $managemailscopy);
			}
			
			for ($i=0;$i<count($managemails);$i++) 
			{
				if ($managemails[$i] && (JMailHelper::isEmailAddress($managemails[$i]) == true))
				{
					$mail = JFactory::getMailer();
					$mail->addRecipient( $managemails[$i] );
					$mail->setSender( array( $mailfrom, $fromname ) );
					$mail->addReplyTo($contact->email, $custname);
					$mail->setSubject( $fromname.JText::_('EMAIL_SUBJECT'));
					$mail->IsHTML(true);
					$mail->Body = $body;
					$sent = $mail->Send();
				}
			}				
			
			if ($copyemail == 'on' && $contact->email && (JMailHelper::isEmailAddress($contact->email) == true)) {
				$mail = JFactory::getMailer();
				$mail->addRecipient( $contact->email );
				$mail->setSender( array( $mailfrom, $fromname ) );
				$mail->addReplyTo($mailfrom, $fromname);
				$mail->setSubject( $fromname.JText::_('EMAIL_SUBJECT'));
				$mail->IsHTML(true);
				$mail->Body = $body;
				$sent = $mail->Send();
			}
		}
		$url = trim($pparams->get('urlafterorder',''));
		if ($url) 
		{
			$url = StringHelper::str_ireplace('[curr_code]',$curr, $url);
			$url = StringHelper::str_ireplace('[order_no]',$orderno,$url);
			
			$query = 'select grandtotal from #__iprice_order_main as ipom where ipom.orderno='.$db->Quote($orderno);
			$db->setQuery($query);
			$total = $db->LoadResult();
			$url = StringHelper::str_ireplace('[order_total]',rawurlencode($total),$url);
			$this->setRedirect($url);
			return true;
		}
		
		$msg = $finishtext;
		$Itemid = $app->input->getVar( 'Itemid','','get' );
		$link = urldecode($app->input->getVar( 'redir','','post' ));
		
		
		//$link = JRoute::_('index.php', false);
		
		$this->setRedirect($link, $msg);
	}
	
}
?>