<?php
/**
 * @package     Joomla.Administrator
 * @copyright   Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

//J4 for using Uri::getInstance(); instead of JFactory::getURI();
use Joomla\CMS\Uri\Uri;

require_once( JPATH_SITE.'/components/com_ipricecalc/helpers/html.php');
require_once( JPATH_ADMINISTRATOR.'/components/com_ipricecalc/helpers/discount.php');	

class IpricecalcViewPrice extends JViewLegacy
{
	protected $state = null;

	protected $items = null;
	protected $discs = array();

	protected $pagination = null;

	public function display($tpl = null)
	{
		$mainframe = JFactory::getApplication();
		
		//$pparams = $mainframe->getPageParameters('com_ipricecalc');
		//J4
		$pparams = $mainframe->getParams('com_ipricecalc');
		
		$user	  = JFactory::getUser();		
		$aid	= $user->get('id');
		
		//$uri 	  = JFactory::getURI();
		//J4
		$uri = Uri::getInstance();
		
		if ( ! $aid && (int)$pparams->get('forceloginview','0') )
		{
			// Redirect to login
			$return		= $uri->toString();
			$url  = 'index.php?option=com_users&view=login';
			$url .= '&return='.base64_encode($return);;
			$mainframe->redirect($url, JText::_('You_must_login_first') );
			return false;
		}
		
		$catids = preg_replace("[^0-9,]","", $pparams->get('catpriceid'));
		if ($catids)
			$this->getModel()->setState('filter.catids', $catids);

		$state		= $this->get('State');
		$items		= $this->get('Items');
		
		$this->pagination	= $this->get('Pagination');
		
		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JError::raiseWarning(500, implode("\n", $errors));
			return false;
		}
		
		//$uri 	  = JFactory::getURI();
		//J4
		
		$document = JFactory::getDocument();
		
		$document	= JFactory::getDocument();
		if ($pparams->get('menu-meta_description'))
			$document->setDescription($pparams->get('menu-meta_description'));

		if ($pparams->get('menu-meta_keywords'))
			$document->setMetadata('keywords', $pparams->get('menu-meta_keywords'));			

		$decimal = (int) $pparams->get('decimal','2');
		
		$curr = JTable::getInstance('curr', 'IpricecalcTable');
		$currcode = $mainframe->getUserState('com_ipricecalc.currcode','');
		if (!$currcode)
			$currcode = $pparams->get('curr','RUR');
		
		$curr = $curr->getCurr($currcode);
		$roundrate=1;
		for ($i=1;$i<=$decimal;$i++)
			$roundrate = $roundrate*10;
		
	   foreach ($items as $item) 
	   {		
			if ($curr->rate && $curr->rate!=1) 
			{
			   	if ($decimal) 
				{
			   		$item->cost = round($item->cost * $curr->rate * $roundrate)/$roundrate;
				}
				else
					$item->cost = round($item->cost * $curr->rate);
			}
			if ($item->description === '<p><br mce_bogus="1"></p>' || $item->description === '<br mce_bogus="1">')
					$item->description = '';
			if ($item->description)
				$item->description = JHTML::_('content.prepare', $item->description);
			if ($item->shortdesc)
				$item->shortdesc = JHTML::_('content.prepare', $item->shortdesc);
			$item->count = 0;
			if ($item->defqty)
				$item->count = $item->defqty;
		}
		$this->discs = IPDiscountHelper::getSortDiscount($pparams);
		
		//$this->assignRef('params',	$pparams);	
		//$this->assignRef('curr',	$curr);	
		//J4
		$this->params = $pparams;
		$this->curr = $curr;
		$this->items      = $items;
		
		parent::display($tpl);
	}

}
?>