<?php
/**
 * @package     Joomla.Administrator
 * @copyright   Copyright (C) 2013 IPrice web solutions. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

require_once( JPATH_COMPONENT_ADMINISTRATOR.'/helpers/csvi_class_file.php');

function ImportLine ($dataline, $i, $identifier)
{
	$db = JFactory::getDBO();

	$numf = sizeof($dataline);
	$minnumf = ($identifier == 'id' ? 4 : 3);
	if ($numf<$minnumf) {
		echo 'Line '.$i.': '.'Error! Number of fields less than minimal ('.$minnumf.')<br />';
		return;
	}

	$row = JTable::getInstance('Item', 'IpricecalcTable');
	$cat = JTable::getInstance('Category', 'IpricecalcTable');


// Cat id

	$catname = trim($dataline[0]);
	if (!$catname) {
		echo 'Line '.($i).': '.'Error! Category name is empty!<br />';
		return;
	}
	$ids = $cat->GetCategoryID("name=".$db->Quote($catname));
	
	if (count($ids)>1) {
		echo 'Line '.($i).': '.'Error! More than 1 category by name "'.$catname.'" <br />';
		return;
	}
	if (!$ids) {
		echo 'Line '.($i).': '.'Error! Category name "'.$catname.'" not found !<br />';
		return;
	}	

// change Section of category

	$catid = (int) $ids[0]->id;
	$inc_idx = 0;
	
	if ($identifier == 'id')
	{
		$itemid = trim($dataline[1]);
		$inc_idx++;
	}
	
// Item Name
	$iname = trim($dataline[1+$inc_idx]);
	if (!$iname) {
		echo 'Line '.($i).': '.'Error! Item name is empty!<br />';
		return;
	}
	
	if ($identifier != 'id')
	{	
		$itemid = $row->GetItemID("name=".$db->Quote($iname));	  
	}
	
	$found = 0;
	if ($itemid)
	{
		$row->load( $itemid );
		$found = $row->id;
		$row->id = $itemid;
	}
		
	$row->name = $iname;
	$row->catid=$catid;
	
// cost
	$val = trim($dataline[2+$inc_idx]);
	if ($val!=="") 
		$row->cost = str_replace(',','.',$val);
	  
// shortdesc
	if ($numf>3) {
		$val = trim($dataline[3+$inc_idx]);
		if ($val==='-')
			$row->shortdesc = '';
		else if ($val)
			$row->shortdesc = $val;
	}
	
// description 
	if ($numf>4) {
		$val = trim($dataline[4+$inc_idx]);
		if ($val==='-')		  
			$row->description = '';
		else if ($val)
			$row->description = $val;
	}

// showcount 
	if ($numf>5){
		$val = trim($dataline[5+$inc_idx]);
		if ($val!=="")
			$row->showcount = (int) $val;
	}

// radiogroup 
	if ($numf>6) {
		$val = trim($dataline[6+$inc_idx]);
		if ($val!=="")			
			$row->radiogroup = (int) $val;
	}

	// pre-save checks
	if (!$row->check()) {
		echo 'Line '.($i+1).': Check Error! '.$row->getError().'<br />';
		return;
	}

	// save the changes
	if (!$found && $row->id) {
		$query = 'insert into #__iprice_item(id, catid, name, cost, shortdesc, description, showcount, radiogroup)'
			.' VALUES('.$row->id.', '.$catid . ', ' . $db->Quote($row->name).', '.$db->Quote($row->cost).', '.$db->Quote($row->shortdesc).
			', '.$db->Quote($row->description).', '.$db->Quote($row->showcount).', '.$db->Quote($row->radiogroup).
			')';
		$db->setQuery($query);
		try { $db->execute();	} catch (Exception $e) { echo 'Line '.($i).' Error:<font color="red">'.$e->getMessage().'</font>'."\n";}
	}
	else {
	
	if (!$row->store()) {
		echo 'Line '.($i+1).': Error! '.$row->getError().'<br />';
		return;
	}
	}

	$row->checkin();
}

function DoImport($filename, $params)
{
	echo '<br /><br />'	;
	$file = new CsviFile();
	$file->ProcessFile($filename);
	$enc = (int) $_POST['encoding'];
	$identifier = ($_POST['import_identifier'] ? $_POST['import_identifier'] : 'name');
	$i = 0;
	while ($line = $file->ReadNextLine($params['CELL_DELIMITER'],$params['TEXT_DELIMITER'], $enc)) {
		$i++;
		if($i==1&&$_POST['entete']=="o")
			continue;
		ImportLine ($line, $i, $identifier);
		
	} 
}
?>