CREATE TABLE IF NOT EXISTS `#__iprice_categories` (
  `id` INT(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `ordering` int(11) NOT NULL,
  `checked_out` int(11) unsigned default '0',
  `checked_out_time` datetime default '0000-00-00 00:00:00',
  `published` tinyint(1) unsigned NOT NULL default '1',
  `params` text,  
  PRIMARY KEY (`id`),
  KEY `idx_name` (`name`(255)),
  KEY `idx_checked_out` (`checked_out`)
)  AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__iprice_item` (
  `id` INT(11) NOT NULL AUTO_INCREMENT,
  `catid` INT(11) NOT NULL,
  `name` TEXT NOT NULL,
  `shortdesc` TEXT,
  `description` TEXT,
  `cost` decimal(15,4) NOT NULL default 0,
  `showcount` TINYINT(1) NOT NULL default 0,
  `radiogroup` INT(5) unsigned NOT NULL default 0,
  `defqty` int(8),
  `stepqty` float NOT NULL default 0,
  `maxqty` float NOT NULL default 0,  
  `minqty` float NOT NULL default 0,  
  `qtydisabled` TINYINT(1) NOT NULL default 0,
  `selectdisabled` TINYINT(1) NOT NULL default 0,
  `qtysellist` varchar(255),
  `field1` varchar(255),
  `field2` varchar(255),
  `field3` varchar(255),
  `field4` varchar(255),
  `field5` varchar(255),  	
  `ordering` int(11) NOT NULL,
  `checked_out` int(11) unsigned default '0',
  `checked_out_time` datetime default '0000-00-00 00:00:00',
  `params` text,
  `published` tinyint(1) unsigned NOT NULL default '1',
  PRIMARY KEY (`id`),
  KEY `idx_name` (`name`(100)),
  KEY `idx_checked_out` (`checked_out`),
  KEY `idx_catid` (`catid`)
) AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__iprice_order_main` (
  `id` int(11) NOT NULL auto_increment,
  `orderno` int(11) NOT NULL,
  `orderdate` date NOT NULL,
  `currcode` text(3) NOT NULL,
  `fio` text,
  `firm` text,
  `email` text,
  `phone` text NOT NULL,
  `comments` text NOT NULL,
  `totalratio` decimal(8,4),
  `totalratioview` TINYINT(1) NOT NULL default 0,
  `showtotalratio` TINYINT(1),
  `totalamount` decimal(15,4) NOT NULL DEFAULT 0,
  `grandtotal` decimal(15,4) NOT NULL DEFAULT 0,
  `discratio` TINYINT(3) default 0,
  `checked_out` int(11) unsigned default '0',
  `checked_out_time` datetime default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`),
  UNIQUE UQ_ORDERMAIN_IDX (orderno)
) DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__iprice_order` (
  `id` int(11) NOT NULL auto_increment,
  `orderno` int(11) NOT NULL,
  `itemid` int(11) NOT NULL,
  `countitems` float NOT NULL,
  `amount` decimal(15,4) NOT NULL DEFAULT 0,
  `field1` varchar(255),
  `field2` varchar(255),
  `field3` varchar(255),
  `field4` varchar(255),
  `field5` varchar(255),    
  PRIMARY KEY  (`id`),
  KEY `orderno` (`orderno`)
) AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__iprice_curr` (
  `id` int(11) NOT NULL auto_increment,
  `currcode` varchar(3) NOT NULL,
  `currdate` date,
  `rate` decimal(9,4) NOT NULL default '1',
  `symbol` varchar(20),
  `symplace` int(1),
  `usespace` int(1),
  `published` tinyint(1) unsigned NOT NULL default '1',
  `checked_out` int(11) unsigned default '0',
  `checked_out_time` datetime default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`),
  UNIQUE UQ_ORDERMAIN_IDX (currcode(3))
) DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__iprice_config` (
  `varname` varchar(50) NOT NULL,
  `varvalue` text,
  `vardescription` text,
  PRIMARY KEY (`varname`)
) CHARSET=utf8;
