<?php
/**
 * @package     Joomla.Administrator
 * @copyright   Copyright (C) 2013 IPrice web solutions. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

jimport('joomla.application.component.modeladmin');

class IpricecalcModelItem extends JModelAdmin
{

	protected $text_prefix = 'COM_IPRICECALC_ITEM';

	public function getTable($type = 'Item', $prefix = 'IpricecalcTable', $config = array())
	{
		return JTable::getInstance($type, $prefix, $config);
	}

	public function getForm($data = array(), $loadData = true)
	{
		// Get the form.
		$form = $this->loadForm('com_ipricecalc.item', 'item', array('control' => 'jform', 'load_data' => $loadData));
		if (empty($form))
		{
			return false;
		}

		return $form;
	}

	protected function loadFormData()
	{
		// Check the session for previously entered form data.
		$app  = JFactory::getApplication();
		$data = $app->getUserState('com_ipricecalc.edit.item.data', array());

		if (empty($data))
		{
			$data = $this->getItem();
		}

		return $data;
	}


	protected function getReorderConditions($table)
	{
		$condition = array();
		$condition[] = 'ipi.catid = '. (int) $table->catid;		
		return $condition;
	}

	protected function prepareTable($table)
	{
		$date = JFactory::getDate();
		$user = JFactory::getUser();

		if (empty($table->id)) {
			// Set ordering to the last item if not set
			$table->reorder('catid = '.(int) $table->catid.' AND published >= 0');			
		}
	}
	
	public function save($data)
	{
		if ($data['description'])
		{
			$descr = trim(strip_tags($data['description']));
			if ($descr == '')
				$data['description']='';
		}
		return parent::save($data);
	}	
	
}
?>