<?php
/**
 * @package     Joomla.Administrator
 * @copyright   Copyright (C) 2013 IPrice web solutions. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

class IpricecalcTableItem extends JTable
{
	public function __construct(&$_db)
	{
		parent::__construct('#__iprice_item', 'id', $_db);
	}

	public function check()
	{
		$this->name = htmlspecialchars_decode($this->name, ENT_QUOTES);
		if (empty($this->ordering)) {
			$this->ordering = self::getNextOrder();
		}
		return true;
	}

	public function publish($pks = null, $state = 1, $userId = 0)
	{
		$k = $this->_tbl_key;

		// Sanitize input.
		JArrayHelper::toInteger($pks);
		$userId = (int) $userId;
		$state  = (int) $state;

		// If there are no primary keys set check to see if the instance key is set.
		if (empty($pks))
		{
			if ($this->$k) {
				$pks = array($this->$k);
			}
			// Nothing to set publishing state on, return false.
			else {
				$this->setError(JText::_('JLIB_DATABASE_ERROR_NO_ROWS_SELECTED'));
				return false;
			}
		}

		// Get an instance of the table
		$table = JTable::getInstance('Item', 'IpricecalcTable');

		// For all keys
		foreach ($pks as $pk)
		{
			// Load the banner
			if(!$table->load($pk))
			{
				$this->setError($table->getError());
			}

			// Verify checkout
			if ($table->checked_out == 0 || $table->checked_out == $userId)
			{
				// Change the state
				$table->published = $state;
				$table->checked_out = 0;
				$table->checked_out_time = $this->_db->getNullDate();

				// Check the row
				$table->check();

				// Store the row
				if (!$table->store())
				{
					$this->setError($table->getError());
				}
			}
		}
		return count($this->getErrors()) == 0;
	}
	
	function GetItemID($wh = null)
	{
	
		$db	= JFactory::getDBO();
		$db->setQuery( 'select min(id) from '.$db->quoteName('#__iprice_item').' where '.$wh.' limit 1');
/*
		$db	= $this->getDBO();
		$query	= $db->getQuery(true);
		$query->select('id');
		$query->from();
		$query->where($wh);
		$db->setQuery($query);
*/		
		$rows = $db->loadResult();
		return $rows;
	}		
	
	function GetRadioGroups()
	{
		$db	= JFactory::getDBO();
		$db->setQuery( 'select distinct radiogroup from #__iprice_item');
		$rows = $db->loadObjectList();
		return $rows;
	}
	

}

?>
