<?php
/**
 * @package     Joomla.Administrator
 * @copyright   Copyright (C) 2013 IPrice web solutions. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

class IpricecalcViewCategories extends JViewLegacy
{
	protected $items;
	protected $pagination;
	protected $state;

	public function display($tpl = null)
	{
		
		$this->state		= $this->get('State');
		$this->items		= $this->get('Items');
		$this->pagination	= $this->get('Pagination');
		$this->filterForm    = $this->get('FilterForm');
		$this->activeFilters = $this->get('ActiveFilters');		
		
		// Check for errors.
		if (count($errors = $this->get('Errors')))
		{
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}
		$this->addToolbar();
		if(version_compare(JVERSION, '4.0', 'le'))
			$this->sidebar = JHtmlSidebar::render();
		parent::display($tpl);
	}

	/**
	 * Add the page title and toolbar.
	 *
	 * @return  void
	 *
	 * @since   1.6
	 */
	protected function addToolbar()
	{
		$canDo = IpricecalcHelper::getActions();
		$user = JFactory::getUser();
		// Get the toolbar object instance
		$bar = JToolBar::getInstance('toolbar');

		JToolbarHelper::title(JText::_('IPrice_categories_Manager'), 'generic.png');
//		if (count($user->getAuthorisedCategories('com_ipricecalc', 'core.create')) > 0)
			JToolbarHelper::addNew('category.add');

//		if (($canDo->get('core.edit')))
			JToolbarHelper::editList('category.edit');

/*		if ($canDo->get('core.edit.state'))
		{
			if ($this->state->get('filter.state') != 2)
			{
*/			
				JToolbarHelper::publish('categories.publish', 'JTOOLBAR_PUBLISH', true);
				JToolbarHelper::unpublish('categories.unpublish', 'JTOOLBAR_UNPUBLISH', true);
/*				
			}
		}
*/		

//		if ($canDo->get('core.edit.state'))
			JToolbarHelper::checkin('categories.checkin');

//		if ($canDo->get('core.delete'))
			JToolbarHelper::deleteList('DELETE_ITEM', 'categories.delete', 'JTOOLBAR_DELETE');

//		if ($canDo->get('core.admin'))
			JToolbarHelper::preferences('com_ipricecalc');
			
		JToolbarHelper::help('JHELP_COMPONENTS_BANNERS_BANNERS');

	}

	/**
	 * Returns an array of fields the table can be sorted by
	 *
	 * @return  array  Array containing the field name to sort by as the key and display text as value
	 *
	 * @since   3.0
	 */
	protected function getSortFields()
	{
		return array(
			'ordering' => JText::_('JGRID_HEADING_ORDERING'),
			'a.name' => JText::_('NAME'),
			'a.id' => JText::_('JGRID_HEADING_ID'),
		);
	}
	
}
?>