<?php
/**
 * @package     Joomla.Administrator
 * @copyright   Copyright (C) 2013 IPrice web solutions. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

class IpricecalcViewItem extends JViewLegacy
{
	protected $form;

	protected $item;

	protected $state;

	public function display($tpl = null)
	{
		// Initialiase variables.
		$this->form		= $this->get('Form');
		$this->item		= $this->get('Item');
		$this->state	= $this->get('State');
		
		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}

		$this->addToolbar();
		parent::display($tpl);
	}

	protected function addToolbar()
	{
		JFactory::getApplication()->input->set('hidemainmenu', true);

		$user		= JFactory::getUser();
		$userId		= $user->get('id');
		$isNew		= ($this->item->id == 0);
		$checkedOut	= !($this->item->checked_out == 0 || $this->item->checked_out == $userId);
		JToolbarHelper::title(JText::_( 'IPrice_Item' ) . ' : ' . ($isNew ? JText::_('New') : JText::_('Edit')), 'generic.png');

		// If not checked out, can save the item.
//		if (!$checkedOut && ($canDo->get('core.edit') || count($user->getAuthorisedCategories('com_banners', 'core.create')) > 0)) {
			JToolbarHelper::apply('item.apply');
			JToolbarHelper::save('item.save');

//			if ($canDo->get('core.create')) {
				JToolbarHelper::save2new('item.save2new');
//		}

		// If an existing item, can save to a copy.
//		if (!$isNew && $canDo->get('core.create')) {
		if (!$isNew)
			JToolbarHelper::save2copy('item.save2copy');
//		}

		if (empty($this->item->id))  {
			JToolbarHelper::cancel('item.cancel');
		}
		else {
			JToolbarHelper::cancel('item.cancel', 'JTOOLBAR_CLOSE');
		}
	}
}
?>