<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_banners
 *
 * @copyright   Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('formbehavior.chosen', 'select');

$pparams = JComponentHelper::getParams('com_ipricecalc');
$decimal = (int) $pparams->get('decimal','2');
$decimalsep = $pparams->get('decimalsep','.');
$thousandsep = $pparams->get('thousandsep',' ');

$tcurr = JTable::getInstance('curr', 'IpricecalcTable');

$user		= JFactory::getUser();
$userId		= $user->get('id');
$listOrder	= $this->escape($this->state->get('list.ordering'));
$listDirn	= $this->escape($this->state->get('list.direction'));
$params		= (isset($this->state->params)) ? $this->state->params : new JObject;
$sortFields = $this->getSortFields();
?>
<form action="<?php echo JRoute::_('index.php?option=com_ipricecalc&view=orders'); ?>" method="post" name="adminForm" id="adminForm">
<?php if(!empty( $this->sidebar)): ?>
	<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
	</div>
	<div id="j-main-container" class="span10">
<?php else : ?>
	<div id="j-main-container">
<?php endif;

	echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this));
?>
		<div class="clearfix"></div>
		
		<table class="table table-striped" id="articleList">
			<thead>
				<tr>
					<th width="1%" class="nowrap center">
						<?php echo JHtml::_('grid.checkall'); ?>
					</th>
					<th width="10%">
						<?php echo JHtml::_('searchtools.sort', 'ORDER_NUM', 'ipo.orderno', $listDirn, $listOrder); ?>
					</th>
					<th>
						<?php echo JHtml::_('searchtools.sort', 'Order_date', 'ipo.orderdate', $listDirn, $listOrder); ?>
					</th>
					<th>
						<?php echo JHtml::_('searchtools.sort', 'ORDER_PERSON', 'ipo.fio', $listDirn, $listOrder); ?>
					</th>
					<th>
						<?php echo JHtml::_('searchtools.sort', 'ORDER_COMPANY', 'ipo.firm', $listDirn, $listOrder); ?>
					</th>
					<th>
						<?php echo JHtml::_('searchtools.sort', 'Email', 'ipo.email', $listDirn, $listOrder); ?>
					</th>
					<th width="5%" nowrap="nowrap">
						<?php echo JHtml::_('searchtools.sort', 'Total_amount', 'ipo.grandtotal', $listDirn, $listOrder); ?>
					</th>
					<th width="1%" class="nowrap center hidden-phone">
						<?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_ID', 'ipo.id', $listDirn, $listOrder); ?>
					</th>
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="8">
						<?php echo $this->pagination->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php foreach ($this->items as $i => $item) :
			
				$curr = $tcurr->getCurr($item->currcode);
				$sym = trim($curr->symbol);
				if ($curr->symplace) {
				  $currmask = $sym.($curr->usespace == 1 ? " " : "" ).'%s';
				  $currmaskjs = "'".$sym."'+".($curr->usespace == 1 ? "' '+" : "" )."%s";
				}
				else {
				  $currmask = '%s'.($curr->usespace == 1 ? " " : "" ).$sym;
				  $currmaskjs = "%s".($curr->usespace == 1 ? "+' '" : "" )."+'".$sym."'";
				}
			
				$canCheckin = $item->checked_out == $userId || $item->checked_out == 0;
				?>
				<tr class="row<?php echo $i % 2; ?>" >
					<td class="center hidden-phone">
						<?php echo JHtml::_('grid.id', $i, $item->id); ?>
					</td>
					<td>
						<div class="pull-left">
							<?php if ($item->checked_out) : ?>
								<?php echo JHtml::_('jgrid.checkedout', $i, @$item->editor, $item->checked_out_time, 'items.', $canCheckin); ?>
							<?php endif; ?>
								<a href="<?php echo JRoute::_('index.php?option=com_ipricecalc&task=orders.view&id='.(int) $item->id); ?>">
									<?php echo $this->escape($item->orderno); ?></a>
						</div>
					</td>
					<td align="center">
						<?php echo JHtml::_('date',  $item->orderdate, JText::_('DATE_FORMAT_LC4') ); ?>
					</td>
					<td align="center">
						<?php echo $item->fio; ?>
					</td>
					<td align="center">
						<?php echo $item->firm; ?>
					</td>
					<td align="center">
						<?php echo $item->email; ?>
					</td>
					<td align="right" style="text-align:right !important; white-space: nowrap;" class="right">
						<?php echo sprintf($currmask,number_format($item->grandtotal,$decimal,$decimalsep,$thousandsep)); ?>
					</td>
					<td class="center hidden-phone">
						<?php echo $item->id; ?>
					</td>
				</tr>
				<?php endforeach; ?>
			</tbody>
		</table>

		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
</form>
